JUCE: time

JUCE

Classes | Functions
time
juce_core

## Classes
class | PerformanceCounter
| A timer for measuring performance of code and dumping the results to a file. More...
struct | PerformanceCounter::Statistics
| Holds the current statistics. More...
class | ScopedTimeMeasurement
| Simple RAII class for measuring the time spent in a scope. More...
class | RelativeTime
| A relative measure of time. More...
class | Time
| Holds an absolute date and time. More...

## Functions
JUCE_API bool JUCE_CALLTYPE | operator== (RelativeTime t1, RelativeTime t2) noexcept
| Compares two RelativeTimes. More...
JUCE_API bool JUCE_CALLTYPE | operator!= (RelativeTime t1, RelativeTime t2) noexcept
| Compares two RelativeTimes. More...
JUCE_API bool JUCE_CALLTYPE | operator> (RelativeTime t1, RelativeTime t2) noexcept
| Compares two RelativeTimes. More...
JUCE_API bool JUCE_CALLTYPE | operator< (RelativeTime t1, RelativeTime t2) noexcept
| Compares two RelativeTimes. More...
JUCE_API bool JUCE_CALLTYPE | operator>= (RelativeTime t1, RelativeTime t2) noexcept
| Compares two RelativeTimes. More...
JUCE_API bool JUCE_CALLTYPE | operator<= (RelativeTime t1, RelativeTime t2) noexcept
| Compares two RelativeTimes. More...
JUCE_API RelativeTime JUCE_CALLTYPE | operator+ (RelativeTime t1, RelativeTime t2) noexcept
| Adds two RelativeTimes together. More...
JUCE_API RelativeTime JUCE_CALLTYPE | operator- (RelativeTime t1, RelativeTime t2) noexcept
| Subtracts two RelativeTimes. More...
JUCE_API Time | operator+ (Time time, RelativeTime delta) noexcept
| Adds a RelativeTime to a Time. More...
JUCE_API Time | operator+ (RelativeTime delta, Time time) noexcept
| Adds a RelativeTime to a Time. More...
JUCE_API Time | operator- (Time time, RelativeTime delta) noexcept
| Subtracts a RelativeTime from a Time. More...
JUCE_API const RelativeTime | operator- (Time time1, Time time2) noexcept
| Returns the relative time difference between two times. More...
JUCE_API bool | operator== (Time time1, Time time2) noexcept
| Compares two Time objects. More...
JUCE_API bool | operator!= (Time time1, Time time2) noexcept
| Compares two Time objects. More...
JUCE_API bool | operator< (Time time1, Time time2) noexcept
| Compares two Time objects. More...
JUCE_API bool | operator<= (Time time1, Time time2) noexcept
| Compares two Time objects. More...
JUCE_API bool | operator> (Time time1, Time time2) noexcept
| Compares two Time objects. More...
JUCE_API bool | operator>= (Time time1, Time time2) noexcept
| Compares two Time objects. More...

## Detailed Description

## Function Documentation

## ◆ operator==() [1/2]

JUCE_API bool JUCE_CALLTYPE operator== | ( | RelativeTime | t1,
|  | RelativeTime | t2
| ) |  |
| noexcept

Compares two RelativeTimes.

## ◆ operator!=() [1/2]

JUCE_API bool JUCE_CALLTYPE operator!= | ( | RelativeTime | t1,
|  | RelativeTime | t2
| ) |  |
| noexcept

Compares two RelativeTimes.

## ◆ operator>() [1/2]

JUCE_API bool JUCE_CALLTYPE operator> | ( | RelativeTime | t1,
|  | RelativeTime | t2
| ) |  |
| noexcept

Compares two RelativeTimes.

## ◆ operator<() [1/2]

JUCE_API bool JUCE_CALLTYPE operator< | ( | RelativeTime | t1,
|  | RelativeTime | t2
| ) |  |
| noexcept

Compares two RelativeTimes.

## ◆ operator>=() [1/2]

JUCE_API bool JUCE_CALLTYPE operator>= | ( | RelativeTime | t1,
|  | RelativeTime | t2
| ) |  |
| noexcept

Compares two RelativeTimes.

## ◆ operator<=() [1/2]

JUCE_API bool JUCE_CALLTYPE operator<= | ( | RelativeTime | t1,
|  | RelativeTime | t2
| ) |  |
| noexcept

Compares two RelativeTimes.

## ◆ operator+() [1/3]

JUCE_API RelativeTime JUCE_CALLTYPE operator+ | ( | RelativeTime | t1,
|  | RelativeTime | t2
| ) |  |
| noexcept

Adds two RelativeTimes together.

## ◆ operator-() [1/3]

JUCE_API RelativeTime JUCE_CALLTYPE operator- | ( | RelativeTime | t1,
|  | RelativeTime | t2
| ) |  |
| noexcept

Subtracts two RelativeTimes.

## ◆ operator+() [2/3]

JUCE_API Time operator+ | ( | Time | time,
|  | RelativeTime | delta
| ) |  |
| noexcept

Adds a RelativeTime to a Time.

## ◆ operator+() [3/3]

JUCE_API Time operator+ | ( | RelativeTime | delta,
|  | Time | time
| ) |  |
| noexcept

Adds a RelativeTime to a Time.

## ◆ operator-() [2/3]

JUCE_API Time operator- | ( | Time | time,
|  | RelativeTime | delta
| ) |  |
| noexcept

Subtracts a RelativeTime from a Time.

## ◆ operator-() [3/3]

JUCE_API const RelativeTime operator- | ( | Time | time1,
|  | Time | time2
| ) |  |
| noexcept

Returns the relative time difference between two times.

## ◆ operator==() [2/2]

JUCE_API bool operator== | ( | Time | time1,
|  | Time | time2
| ) |  |
| noexcept

Compares two Time objects.

## ◆ operator!=() [2/2]

JUCE_API bool operator!= | ( | Time | time1,
|  | Time | time2
| ) |  |
| noexcept

Compares two Time objects.

## ◆ operator<() [2/2]

JUCE_API bool operator< | ( | Time | time1,
|  | Time | time2
| ) |  |
| noexcept

Compares two Time objects.

## ◆ operator<=() [2/2]

JUCE_API bool operator<= | ( | Time | time1,
|  | Time | time2
| ) |  |
| noexcept

Compares two Time objects.

## ◆ operator>() [2/2]

JUCE_API bool operator> | ( | Time | time1,
|  | Time | time2
| ) |  |
| noexcept

Compares two Time objects.

## ◆ operator>=() [2/2]

JUCE_API bool operator>= | ( | Time | time1,
|  | Time | time2
| ) |  |
| noexcept

Compares two Time objects.